curl --request POST \
--url https://inboxapp.com/api/v1/campaigns/{campaignId}/import-jobs/{jobId}/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://inboxapp.com/api/v1/campaigns/{campaignId}/import-jobs/{jobId}/pause"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://inboxapp.com/api/v1/campaigns/{campaignId}/import-jobs/{jobId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "l44e15irdq4db30i77cgphhx",
"type": "csv",
"status": "running",
"totalCount": 1500,
"processedCount": 750,
"addedCount": 700,
"skippedCount": 45,
"failedCount": 5,
"error": "Rate limit exceeded",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-16T08:00:00.000Z",
"completedAt": "2025-01-16T08:05:00.000Z"
}Pause import job
Pause a running import job. It can be resumed later.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the campaign.
^[0-9a-z]+$The ID of the import job to pause.
^[0-9a-z]+$Body
The body is of type object.
Response
OK
Unique identifier for the import job.
^[0-9a-z]+$"l44e15irdq4db30i77cgphhx"
The type of importer used for this job.
"csv"
"followers"
"likes"
Current status of the import job. 'queued' means the job is waiting for a slot. 'starting' means a slot has been acquired and execution is about to begin.
queued, starting, running, paused, completed, failed, canceled "running"
"completed"
Total number of items to import, if known.
-9007199254740991 <= x <= 90071992547409911500
Number of items processed so far.
-9007199254740991 <= x <= 9007199254740991750
Number of leads successfully added.
-9007199254740991 <= x <= 9007199254740991700
Number of leads skipped (already exist).
-9007199254740991 <= x <= 900719925474099145
Number of leads that failed to import.
-9007199254740991 <= x <= 90071992547409915
Error message if the job failed.
"Rate limit exceeded"
When the import job was created.
"2025-01-15T10:30:00.000Z"
When the import job was last updated.
"2025-01-16T08:00:00.000Z"
When the import job completed.
"2025-01-16T08:05:00.000Z"
Was this page helpful?